require "Insurgent/Traits/LoadoutGunslingerTrait"

LoadoutGunslingerTrait.mutualExclusions = {"LoadoutPistoleer"}
LoadoutGunslingerTrait.description  = getText("UI_trait_LoadoutGunslingerDesc_FIREARMSB41_VERSION")

function LoadoutGunslingerTrait.OnNewGame(player)
    if not player:HasTrait("LoadoutGunslinger") then
        return
    end

    local weapon = InsurgentWeaponUtil.addWeapon(player, "Base.ColtAnaconda")
    InsurgentWeaponUtil.addMags(player, "Base.Bullets44", 6)
end


require "Insurgent/InsurgentWeaponUtil"

function InsurgentWeaponUtil.addBasicPistol(player)
    InsurgentWeaponUtil.addWeapon(player, "Base.Pistol", {"Base.RedDot", "Base.Laser"})
    InsurgentWeaponUtil.addMags(player, "Base.9mmClip", 2)
end